%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-more-itertools
Version:       10.6.0
Release:       1mamba
Summary:       More routines for operating on iterables, beyond itertools
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/more-itertools/more-itertools
Source:        https://pypi.debian.net/more-itertools/more-itertools-%{version}.tar.gz
License:       MIT
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n more-itertools-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc LICENSE

%changelog
* Sat Jan 18 2025 Automatic Build System <autodist@openmamba.org> 10.6.0-1mamba
- automatic version update by autodist

* Fri Sep 06 2024 Automatic Build System <autodist@openmamba.org> 10.5.0-1mamba
- automatic version update by autodist

* Wed Aug 07 2024 Automatic Build System <autodist@openmamba.org> 10.4.0-1mamba
- automatic version update by autodist

* Tue Jun 11 2024 Automatic Build System <autodist@openmamba.org> 10.3.0-1mamba
- automatic version update by autodist

* Tue Jan 09 2024 Automatic Build System <autodist@openmamba.org> 10.2.0-1mamba
- automatic version update by autodist

* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 10.1.0-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Fri Aug 04 2023 Automatic Build System <autodist@mambasoft.it> 10.1.0-1mamba
- automatic version update by autodist

* Tue Jul 25 2023 Automatic Build System <autodist@mambasoft.it> 10.0.0-1mamba
- automatic version update by autodist

* Fri Apr 07 2023 Sdk Build System <sdk@mambasoft.it> 9.1.0-2mamba
- rebuilt with python 3.10

* Tue Mar 07 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 9.1.0-1mamba
- package created using the webbuild interface
